FreeMat

- Main Page
- Related Pages

vtkReferenceCount

Section: Visualization Toolkit Common Classes

# Usage

vtkReferenceCount functionality has now been moved into vtkObject

To create an instance of class vtkReferenceCount, simply invoke its constructor as follows

      obj = vtkReferenceCount

# Methods

The class vtkReferenceCount has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkReferenceCount class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkReferenceCount = obj.NewInstance ()`
- `vtkReferenceCount = obj.SafeDownCast (vtkObject o)`